Subject: Re: linux-next: build failure after merge of the final tree (tip tree related)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 03 Aug 2010 14:32:35 +1000

On Mon, 2010-08-02 at 20:13 -0700, H. Peter Anvin wrote:
> I still think that the memblock approach of having a separate data
> structure for all of memory and one for various used blocks is flawed,
> and that it would be a lot better to have a single data structure with
> attributes.  It would definitely make allocation saner.  Given that,
> there is a strong reason to keep as little of the guts exposed as
> possible.

I agree, and in fact, turning the current implementation into a single
list with attributes wouldn't necessarily be that hard as a first step. 

Ben.